# ngrams.py
# A program that tallies n-gram counts in given text files
# CS 111 - Eric Alexander
# <YOUR NAME(S) HERE>

def getOneGrams(filename):
    ''' Function takes in a given text filename and counts one-grams in the file '''

    oneGramCounts = {}
    f = open(filename, 'r')

    for line in f:
        # Clean out punctuation
        for ch in '!@#$%^&*()_+-=;:",./<>?\\':
            line = line.replace(ch, ' ')

        # Reduce to all lowercase
        line = line.lower()

        # Split into words
        words = line.split()

        # Add to oneGramCounts for each word (checking to see if it is already present)
        #for each word in words
            #if the word is already in the dictionary
                # add one to the existing count
            #otherwise
                # add it to the dictionary with a value of 1

    return oneGramCounts

def getTwoGrams(filename):
    ''' Function takes in a given text filename and counts two-grams in the file '''
    pass

def printTopN(countDict, n):
    ''' Function takes a dictionary mapping n-grams to counts and prints top n n-grams by count. '''

    dictItems = list(countDict.items())
    dictItems.sort(key=lambda pair: pair[1], reverse=True)

    for i in range(n):
        word, count = dictItems[i]
        print('{} {}'.format(word, count))
